Package org.eclipse.m2m.atl.emftvm.launcher

## Class EmftvmLauncherImages

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.launcher.EmftvmLauncherImages

    public final class EmftvmLauncherImages
    extends java.lang.Object

Images for EMFTVM launcher plug-in.

### Field Summary

Fields
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_EMFTVM` EMFTVM launch image.
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_MAIN_TAB` Main tab image.
`static org.eclipse.jface.resource.ImageDescriptor` `DESC_PARAMETER_TAB` Parameter tab image.
`static java.lang.String` `ICONS_PATH` Icons path.
`static java.lang.String` `NAME_PREFIX` Image name prefix.
`static java.lang.String` `OBJ_MAIN_TAB` Main tab image name.
`static java.lang.String` `OBJ_PARAMETER_TAB` Parameter tab image name.
`static java.lang.String` `PATH_OBJ` OBJ image path.

### Method Summary

All Methods Static Methods Concrete Methods
`static org.eclipse.swt.graphics.Image` `get​(java.lang.String key)` Returns the `Image` for `key`, or `null`.
`static org.eclipse.swt.graphics.Image` `manage​(java.lang.String key, org.eclipse.jface.resource.ImageDescriptor desc)` Creates an `Image` from `desc`, and registers it under `key`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ICONS_PATH

    public static final java.lang.String ICONS_PATH

Icons path.

See Also:
  Constant Field Values

#### NAME_PREFIX

    public static final java.lang.String NAME_PREFIX

Image name prefix.

See Also:
  Constant Field Values

#### OBJ_MAIN_TAB

    public static final java.lang.String OBJ_MAIN_TAB

Main tab image name.

See Also:
  Constant Field Values

#### OBJ_PARAMETER_TAB

    public static final java.lang.String OBJ_PARAMETER_TAB

Parameter tab image name.

See Also:
  Constant Field Values

#### PATH_OBJ

    public static final java.lang.String PATH_OBJ

OBJ image path.

See Also:
  Constant Field Values

#### DESC_EMFTVM

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_EMFTVM

EMFTVM launch image.

#### DESC_MAIN_TAB

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_MAIN_TAB

Main tab image.

#### DESC_PARAMETER_TAB

    public static final org.eclipse.jface.resource.ImageDescriptor DESC_PARAMETER_TAB

Parameter tab image.

### Method Detail

#### get

    public static org.eclipse.swt.graphics.Image get​(java.lang.String key)

Returns the `Image` for `key`, or `null`.

Parameters:
  `key` - the image name
Returns:
  the `Image` for `key`, or `null`.

#### manage

    public static org.eclipse.swt.graphics.Image manage​(java.lang.String key,
                                                        org.eclipse.jface.resource.ImageDescriptor desc)

Creates an `Image` from `desc`, and registers it under `key`.

Parameters:
  `key` - the image name
  `desc` - the image descriptor
Returns:
  the new `Image`